JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const field = await client.credentials.packages.credentials.fields.delete('email', {
packageName: 'x',
credentialName: '26f1kl_-n-71',
});
console.log(field.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
field = client.credentials.packages.credentials.fields.delete(
field_type="email",
package_name="x",
credential_name="26f1kl_-n-71",
)
print(field.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
field, err := client.Credentials.Packages.Credentials.Fields.Delete(
context.TODO(),
mobileruncloud.CredentialPackageCredentialFieldDeleteParamsFieldTypeEmail,
mobileruncloud.CredentialPackageCredentialFieldDeleteParams{
PackageName: "x",
CredentialName: "26f1kl_-n-71",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", field.Data)
}mobilerun-cloud credentials:packages:credentials:fields delete \
--api-key 'My API Key' \
--package-name x \
--credential-name 26f1kl_-n-71 \
--field-type emailcurl --request DELETE \
--url https://api.mobilerun.ai/credentials/packages/{packageName}/credentials/{credentialName}/fields/{fieldType} \
--header 'Authorization: Bearer <token>'
{
"success": true,
"message": "<string>",
"data": {
"ownerId": "<string>",
"createdBy": "<string>",
"userId": "<string>",
"packageName": "<string>",
"secretPath": "<string>",
"credentialName": "<string>",
"fields": [
{
"value": "<string>"
}
]
}
}{
"error": "<string>"
}App Credentials
Delete a field from a credential
Removes a single field of the given fieldType from the specified credential while leaving the credential itself intact. Returns the updated credential.
DELETE
/
credentials
/
packages
/
{packageName}
/
credentials
/
{credentialName}
/
fields
/
{fieldType}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const field = await client.credentials.packages.credentials.fields.delete('email', {
packageName: 'x',
credentialName: '26f1kl_-n-71',
});
console.log(field.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
field = client.credentials.packages.credentials.fields.delete(
field_type="email",
package_name="x",
credential_name="26f1kl_-n-71",
)
print(field.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
field, err := client.Credentials.Packages.Credentials.Fields.Delete(
context.TODO(),
mobileruncloud.CredentialPackageCredentialFieldDeleteParamsFieldTypeEmail,
mobileruncloud.CredentialPackageCredentialFieldDeleteParams{
PackageName: "x",
CredentialName: "26f1kl_-n-71",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", field.Data)
}mobilerun-cloud credentials:packages:credentials:fields delete \
--api-key 'My API Key' \
--package-name x \
--credential-name 26f1kl_-n-71 \
--field-type emailAuthorizations
Bearer token via Authorization header
Path Parameters
Required string length:
1 - 200Required string length:
3 - 50Pattern:
^[a-z0-9_-]+$Available options:
email, username, password, api_token, phone_number, two_factor_secret, backup_codes Was this page helpful?
⌘I